---
title: Update Notification Policy
description: Use the PUT {{apiPath}}/v1/environments/{{envID}}/notificationsPolicies/{{notificationPolicyID}} endpoint to update the specified notification policy. The policy is specified with its ID.
component: pingone-api
page_id: pingone-api:platform:notifications/notification-policies/update_notification_policy
canonical_url: https://developer.pingidentity.com/pingone-api/platform/notifications/notification-policies/update_notification_policy.html
section_ids:
  prerequisites: Prerequisites
  headers: Headers
  body: Body
  example-request: Example Request
  example-response: Example Response
---

# Update Notification Policy

##

```none
PUT {{apiPath}}/v1/environments/{{envID}}/notificationsPolicies/{{notificationPolicyID}}
```

Use the `PUT {{apiPath}}/v1/environments/{{envID}}/notificationsPolicies/{{notificationPolicyID}}` endpoint to update the specified notification policy. The policy is specified with its ID.

You can modify any of the fields that are specified when creating a notification policy, including the name of the policy.

### Prerequisites

* Refer to [Notifications](../../notifications.html) and [Notification Policies](../notification-policies.html) for important overview information.

> **Collapse: Request Model**
>
> | Property                   | Type    | Required?         |
> | -------------------------- | ------- | ----------------- |
> | `name`                     | String  | Required          |
> | `default`                  | Boolean | Optional          |
> | `quotas`                   | Array   | Required          |
> | `quotas[].type`            | String  | Required          |
> | `quotas[].deliveryMethods` | Array   | Required          |
> | `quotas[].total`           | Integer | Required/Optional |
> | `quotas[].claimed`         | Integer | Required/Optional |
> | `quotas[].unclaimed`       | Integer | Required/Optional |
>
> Refer to the [Notification policy data model](../notification-policies.html) for full property descriptions.

### Headers

Authorization      Bearer {{accessToken}}

Content-Type      application/json

### Body

raw ( application/json )

```json
{
  "name": "Per-User - used/not used - Notification Policy",
  "quotas": [
    {
      "type": "USER",
      "deliveryMethods": [
        "SMS",
        "Voice"
      ],
      "claimed": 35,
      "unclaimed": 45
    }
  ],
  "default": false
}
```

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff --request PUT '{{apiPath}}/v1/environments/{{envID}}/notificationsPolicies/{{notificationPolicyID}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{accessToken}}' \
--data '{
  "name": "Per-User - used/not used - Notification Policy",
  "quotas": [
    {
      "type": "USER",
      "deliveryMethods": [
        "SMS",
        "Voice"
      ],
      "claimed": 35,
      "unclaimed": 45
    }
  ],
  "default": false
}'
```

```csharp
var options = new RestClientOptions("{{apiPath}}/v1/environments/{{envID}}/notificationsPolicies/{{notificationPolicyID}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Put);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "Bearer {{accessToken}}");
var body = @"{" + "\n" +
@"  ""name"": ""Per-User - used/not used - Notification Policy""," + "\n" +
@"  ""quotas"": [" + "\n" +
@"    {" + "\n" +
@"      ""type"": ""USER""," + "\n" +
@"      ""deliveryMethods"": [" + "\n" +
@"        ""SMS""," + "\n" +
@"        ""Voice""" + "\n" +
@"      ]," + "\n" +
@"      ""claimed"": 35," + "\n" +
@"      ""unclaimed"": 45" + "\n" +
@"    }" + "\n" +
@"  ]," + "\n" +
@"  ""default"": false" + "\n" +
@"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v1/environments/{{envID}}/notificationsPolicies/{{notificationPolicyID}}"
  method := "PUT"

  payload := strings.NewReader(`{
  "name": "Per-User - used/not used - Notification Policy",
  "quotas": [
    {
      "type": "USER",
      "deliveryMethods": [
        "SMS",
        "Voice"
      ],
      "claimed": 35,
      "unclaimed": 45
    }
  ],
  "default": false
}`)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Content-Type", "application/json")
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
PUT /v1/environments/{{envID}}/notificationsPolicies/{{notificationPolicyID}} HTTP/1.1
Host: {{apiPath}}
Content-Type: application/json
Authorization: Bearer {{accessToken}}

{
  "name": "Per-User - used/not used - Notification Policy",
  "quotas": [
    {
      "type": "USER",
      "deliveryMethods": [
        "SMS",
        "Voice"
      ],
      "claimed": 35,
      "unclaimed": 45
    }
  ],
  "default": false
}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n  \"name\": \"Per-User - used/not used - Notification Policy\",\n  \"quotas\": [\n    {\n      \"type\": \"USER\",\n      \"deliveryMethods\": [\n        \"SMS\",\n        \"Voice\"\n      ],\n      \"claimed\": 35,\n      \"unclaimed\": 45\n    }\n  ],\n  \"default\": false\n}");
Request request = new Request.Builder()
  .url("{{apiPath}}/v1/environments/{{envID}}/notificationsPolicies/{{notificationPolicyID}}")
  .method("PUT", body)
  .addHeader("Content-Type", "application/json")
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{apiPath}}/v1/environments/{{envID}}/notificationsPolicies/{{notificationPolicyID}}",
  "method": "PUT",
  "timeout": 0,
  "headers": {
    "Content-Type": "application/json",
    "Authorization": "Bearer {{accessToken}}"
  },
  "data": JSON.stringify({
    "name": "Per-User - used/not used - Notification Policy",
    "quotas": [
      {
        "type": "USER",
        "deliveryMethods": [
          "SMS",
          "Voice"
        ],
        "claimed": 35,
        "unclaimed": 45
      }
    ],
    "default": false
  }),
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'PUT',
  'url': '{{apiPath}}/v1/environments/{{envID}}/notificationsPolicies/{{notificationPolicyID}}',
  'headers': {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer {{accessToken}}'
  },
  body: JSON.stringify({
    "name": "Per-User - used/not used - Notification Policy",
    "quotas": [
      {
        "type": "USER",
        "deliveryMethods": [
          "SMS",
          "Voice"
        ],
        "claimed": 35,
        "unclaimed": 45
      }
    ],
    "default": false
  })

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests
import json

url = "{{apiPath}}/v1/environments/{{envID}}/notificationsPolicies/{{notificationPolicyID}}"

payload = json.dumps({
  "name": "Per-User - used/not used - Notification Policy",
  "quotas": [
    {
      "type": "USER",
      "deliveryMethods": [
        "SMS",
        "Voice"
      ],
      "claimed": 35,
      "unclaimed": 45
    }
  ],
  "default": False
})
headers = {
  'Content-Type': 'application/json',
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("PUT", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v1/environments/{{envID}}/notificationsPolicies/{{notificationPolicyID}}');
$request->setMethod(HTTP_Request2::METHOD_PUT);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Content-Type' => 'application/json',
  'Authorization' => 'Bearer {{accessToken}}'
));
$request->setBody('{\n  "name": "Per-User - used/not used - Notification Policy",\n  "quotas": [\n    {\n      "type": "USER",\n      "deliveryMethods": [\n        "SMS",\n        "Voice"\n      ],\n      "claimed": 35,\n      "unclaimed": 45\n    }\n  ],\n  "default": false\n}');
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "json"
require "net/http"

url = URI("{{apiPath}}/v1/environments/{{envID}}/notificationsPolicies/{{notificationPolicyID}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Put.new(url)
request["Content-Type"] = "application/json"
request["Authorization"] = "Bearer {{accessToken}}"
request.body = JSON.dump({
  "name": "Per-User - used/not used - Notification Policy",
  "quotas": [
    {
      "type": "USER",
      "deliveryMethods": [
        "SMS",
        "Voice"
      ],
      "claimed": 35,
      "unclaimed": 45
    }
  ],
  "default": false
})

response = http.request(request)
puts response.read_body
```

```swift
let parameters = "{\n  \"name\": \"Per-User - used/not used - Notification Policy\",\n  \"quotas\": [\n    {\n      \"type\": \"USER\",\n      \"deliveryMethods\": [\n        \"SMS\",\n        \"Voice\"\n      ],\n      \"claimed\": 35,\n      \"unclaimed\": 45\n    }\n  ],\n  \"default\": false\n}"
let postData = parameters.data(using: .utf8)

var request = URLRequest(url: URL(string: "{{apiPath}}/v1/environments/{{envID}}/notificationsPolicies/{{notificationPolicyID}}")!,timeoutInterval: Double.infinity)
request.addValue("application/json", forHTTPHeaderField: "Content-Type")
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "PUT"
request.httpBody = postData

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

200 OK

```json
{
    "_links": {
        "self": {
            "href": "https://api.pingone.eu/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/notificationsPolicies/9ac09c18-27d9-477f-a338-3438cea37601"
        },
        "environment": {
            "href": "https://api.pingone.eu/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
        }
    },
    "id": "9ac09c18-27d9-477f-a338-3438cea37601",
    "environment": {
        "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
    },
    "name": "Per-User - used/not used - Notification Policy",
    "quotas": [
        {
            "type": "USER",
            "deliveryMethods": [
                "SMS",
                "Voice"
            ],
            "unclaimed": 45,
            "claimed": 35
        }
    ],
    "updatedAt": "2022-05-15T09:42:50.786Z",
    "createdAt": "2022-05-15T09:22:40.971Z",
    "default": false
}
```
